package cn.reghao.tnb.account.app.service;

import cn.reghao.jutil.jdk.result.Result;
import cn.reghao.tnb.account.app.model.po.LoginAttempts;
import cn.reghao.tnb.account.app.model.vo.LoginRecordVo;
import cn.reghao.tnb.account.app.security.form.AccountAuthToken;

import java.util.List;

/**
 * @author reghao
 * @date 2022-07-08 10:37:49
 */
public interface LoginAttemptService {
    void loginCheck(long userId);
    Result loginFailedCount(long userId, String loginId);
    void saveLoginAttempts(AccountAuthToken authToken);
    List<LoginRecordVo> getActiveLogin();
}
